glibmm 2.30.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | Protected Member Functions

# Glib::ValueBase_Object Class Reference
Generic Values

`#include <glibmm/value.h>`

Inheritance diagram for Glib::ValueBase_Object:
[legend]

List of all members.

## Static Public Member Functions
static GType | value_type ()
## Protected Member Functions
void | set_object (Glib::ObjectBase* data)
Glib::ObjectBase* | get_object () const
Glib::RefPtr< Glib::ObjectBase > | get_object_copy () const

## Member Function Documentation

Glib::ObjectBase* Glib::ValueBase_Object::get_object | ( |  | ) | const`[protected]`

Glib::RefPtr<Glib::ObjectBase> Glib::ValueBase_Object::get_object_copy | ( |  | ) | const`[protected]`

void Glib::ValueBase_Object::set_object | ( | Glib::ObjectBase* | data | ) | `[protected]`

static GType Glib::ValueBase_Object::value_type | ( |  | ) | `[static]`

Reimplemented in Glib::Value_Pointer< T, PtrT >, Glib::Value_Pointer< T, T* >, and Glib::Value_Pointer< T, const T* >.